| openPilotLog

Namespaces | Classes | Enumerations | Functions
Opl Namespace Reference

A namespace to collect constants and enums used throughout the application. More...

## Namespaces
| Db

## Classes
class | ANotificationHandler
| The ANotificationHandler class handles displaying of user-directed messages. It displays information to the user in a QMessageBox and forwards the displayed message to ALog so it is written to the console and log files. The INFO, WARN and CRIT makros provide convenient access. More...

## Enumerations
enum class | Translations { English , German , Spanish }
enum | PilotFunction { PIC = 0 , PICUS = 1 , SIC = 2 , DUAL = 3 , FI = 4 }
| PilotFunction Pilot in Command, Pilot in Command under Supervision, Second in Command (Co-Pilot), Dual, Flight Instructor.

## Functions
void | loadPilotFunctios (QComboBox *combo_box)
void | loadApproachTypes (QComboBox *combo_box)

## Detailed Description

A namespace to collect constants and enums used throughout the application.

The opl namespace collects enums and constants that are used throughout the application and provide uniform access.

The date, time and datetime namespaces include enums used to differentiate date and time formats for QDate, QTime and QDateTime that deviate from standard values included in the Qt Framework like Qt::ISODate and are to be used in conjunction with the .toString() members of these classes.

The db namespace contains constants for programatically accessing the database in a fast and uniform manner.